<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Condition\Rule\Device;

use ZOOlanders\YOOessentials\MobileDetect;
use ZOOlanders\YOOessentials\Condition\ConditionRule;

class DeviceRule extends ConditionRule
{
    public function resolve($props, $node): bool
    {
        if (!isset($props->devices)) {
            throw new \RuntimeException('Not Valid Evaluation Arguments');
        }

        return in_array($this->getDevice(), $props->devices);
    }

    protected function getDevice(): string
    {
        static $device = null;

        if (!$device) {
            $detect = new MobileDetect();

            switch (true) {
                case $detect->isTablet():
                    $device = 'tablet';

                    break;

                case $detect->isMobile():
                    $device = 'mobile';

                    break;

                default:
                    $device = 'desktop';
            }
        }

        return $device;
    }
}
