<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Condition\Rule\IpAddress;

use YOOtheme\Arr;
use ZOOlanders\YOOessentials\Condition\ConditionRule;
use ZOOlanders\YOOessentials\Util;

class IpAddressRule extends ConditionRule
{
    public function resolve($props, $node): bool
    {
        if (!isset($props->ips)) {
            throw new \RuntimeException('Not Valid Evaluation Arguments');
        }

        $selection = $props->ips;

        if (is_string($selection)) {
            $selection = Util\Arr::explodeList($selection);
        }

        return Arr::some($selection, function ($range) {
            return Util\Ip::checkIP($range);
        });
    }
}
