<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Joomla\Listener;

use ZOOlanders\YOOessentials\Config;
use YOOtheme\File;

class LoadGeoipDb
{
    public Config $config;

    public function __construct(Config $config)
    {
        $this->config = $config;
    }

    public function handle(): void
    {
        $geoipdb = '~/plugins/system/akgeoip/db/GeoLite2-Country.mmdb';

        // set akeeba geoipdb
        if (empty($this->config->get('core.geoipdb')) && File::exists($geoipdb)) {
            $this->config->set('core.geoipdb', $geoipdb);
            $this->config->set('updated', true);
        }
    }
}
