<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Joomla\Listener;

use YOOtheme\Config;
use YOOtheme\Metadata;
use ZOOlanders\YOOessentials\Logger;

class PrintLogger
{
    public Config $config;
    public Metadata $metadata;

    public function __construct(Config $config, Metadata $metadata)
    {
        $this->config = $config;
        $this->metadata = $metadata;
    }

    public function handle(): void
    {
        if ($this->config->get('app.isCustomizer')) {
            $this->metadata->set('script:yooesslogs', sprintf('window.$yooesslogs = %s', json_encode(Logger::$loggers)));
        }
    }
}
