<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials;

interface Encrypter
{
    /**
     * Encrypts data with given parameters.
     *
     * @param mixed $data
     * @param bool  $serialize
     *
     * @return string
     */
    public function encrypt($data, $serialize = true): string;

    /**
     * Decrypts data with given parameters.
     *
     * @param string $data
     * @param bool   $serialize
     *
     * @return bool|mixed
     */
    public function decrypt($data, $serialize = true);
}
