<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Source\Provider\Database\Type;

use ZOOlanders\YOOessentials\Source\GraphQL\TypeInterface;

class DatabaseOrderingType implements TypeInterface
{
    public const TYPE_LABEL = 'Database DatabaseOrdering';
    public const TYPE_NAME = 'DatabaseOrdering';

    public function type(): string
    {
        return TypeInterface::TYPE_INPUT;
    }

    public function name(): string
    {
        return self::TYPE_NAME;
    }

    public function label(): string
    {
        return self::TYPE_LABEL;
    }

    public function config(): array
    {
        return [
            'fields' => [
                'name' => [
                    'type' => 'String',
                ],
                'status' => [
                    'type' => 'String',
                ],
                'table' => [
                    'type' => 'String',
                ],
                'field' => [
                    'type' => 'String',
                ],
                'direction' => [
                    'type' => 'String',
                ],
            ],
        ];
    }
}
