<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Source\Provider\Facebook\Type;

use ZOOlanders\YOOessentials\Source\GraphQL\TypeInterface;

// https://developers.facebook.com/docs/graph-api/reference/page
class FacebookPagePersonType implements TypeInterface
{
    public const TYPE_NAME = 'FacebookPagePerson';
    public const TYPE_LABEL = 'Facebook Page Person';

    public function type(): string
    {
        return TypeInterface::TYPE_OBJECT;
    }

    public function name(): string
    {
        return self::TYPE_NAME;
    }

    public function label(): string
    {
        return self::TYPE_LABEL;
    }

    public function config(): array
    {
        return [
            'fields' => [
                'birthday' => [
                    'type' => 'String',
                    'metadata' => [
                        'label' => 'Birthday',
                        'filters' => ['date'],
                    ],
                ],
                'personal_interests' => [
                    'type' => 'String',
                    'metadata' => [
                        'label' => 'Personal Interests',
                        'filters' => ['limit'],
                    ],
                ],
                'affiliation' => [
                    'type' => 'String',
                    'metadata' => [
                        'label' => 'Affiliation',
                        'filters' => ['limit'],
                    ],
                ],
            ],

            'metadata' => [
                'type' => true,
                'label' => $this->label(),
            ],
        ];
    }

    public static function resolve($post): array
    {
        return $post;
    }
}
