<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Source\Provider\GoogleCalendar\Type;

use ZOOlanders\YOOessentials\Source\GraphQL\TypeInterface;

// https://developers.google.com/calendar/api/v3/reference/events
class GoogleCalendarAttachmentType implements TypeInterface
{
    public const TYPE_NAME = 'GoogleCalendarAttachment';
    public const TYPE_LABEL = 'Attachment';

    public function type(): string
    {
        return TypeInterface::TYPE_OBJECT;
    }

    public function name(): string
    {
        return self::TYPE_NAME;
    }

    public function label(): string
    {
        return self::TYPE_LABEL;
    }

    public function config(): array
    {
        return [
            'fields' => [
                'title' => [
                    'type' => 'String',
                    'metadata' => [
                        'label' => 'Title',
                        'filters' => ['limit'],
                    ],
                ],
                'mimeType' => [
                    'type' => 'String',
                    'metadata' => [
                        'label' => 'Mime Type',
                    ],
                ],
                'fileUrl' => [
                    'type' => 'String',
                    'metadata' => [
                        'label' => 'File URL',
                    ],
                ],
                'iconLink' => [
                    'type' => 'String',
                    'metadata' => [
                        'label' => 'Icon URL',
                    ],
                ],
                'fileId' => [
                    'type' => 'String',
                    'metadata' => [
                        'label' => 'ID',
                    ],
                ],
            ],

            'metadata' => [
                'type' => true,
                'label' => $this->label(),
            ],
        ];
    }
}
