<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Source\Provider\Instagram;

use ZOOlanders\YOOessentials\Config\ConfigUpdater;

return [
    'routes' => [
        ['post', InstagramController::PRESAVE_ENDPOINT, InstagramController::class . '@presave'],
        ['post', InstagramController::PAGES_ENDPOINT, InstagramController::class . '@pages', ['allowed' => true]],
    ],

    'yooessentials-sources' => [
        'instagram' => InstagramSource::class,
        'instagram_business' => InstagramBusinessSource::class,
    ],

    'extend' => [
        ConfigUpdater::class => function (ConfigUpdater $update) {
            $update->addGlobals(require __DIR__ . '/updates.php');
        },
    ],
];
