<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.10 build 0508.0933
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Storage;

return [
    'routes' => [['post', StorageAdapterController::PRESAVE_ENDPOINT, StorageAdapterController::class . '@presave']],

    'events' => [
        'customizer.init' => [
            Listener\LoadCustomizerData::class => ['@handle', -10],
        ],

        'theme.init' => [
            Listener\RegisterStorages::class => ['@handle', -10],
        ],
    ],

    'loaders' => [
        'yooessentials-storages' => new StorageAdapterLoader(),
    ],

    'services' => [
        StorageService::class => '',
    ],

    'yooessentials-bootstrap' => [
        __DIR__ . '/adapters/Local/bootstrap.php',
        __DIR__ . '/adapters/FTP/bootstrap.php',
        __DIR__ . '/adapters/S3/bootstrap.php',
    ],
];
