<?php

declare (strict_types=1);
namespace ZOOlanders\YOOessentials\Vendor\League\Flysystem;

use InvalidArgumentException;
use function var_export;
class InvalidVisibilityProvided extends InvalidArgumentException implements FilesystemException
{
    public static function withVisibility(string $visibility, string $expectedMessage) : InvalidVisibilityProvided
    {
        $provided = var_export($visibility, \true);
        $message = "Invalid visibility provided. Expected {$expectedMessage}, received {$provided}";
        throw new InvalidVisibilityProvided($message);
    }
}
