<?php

/*
 * This file is part of Respect/Validation.
 *
 * (c) Alexandre Gomes Gaigalas <alganet@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE file
 * that was distributed with this source code.
 */
declare (strict_types=1);
namespace ZOOlanders\YOOessentials\Vendor\Respect\Validation\Exceptions;

/**
 * @author Henrique Moody <henriquemoody@gmail.com>
 * @author Jens Segers <segers.jens@gmail.com>
 */
final class NullableException extends ValidationException
{
    public const NAMED = 'named';
    /**
     * {@inheritDoc}
     */
    protected $defaultTemplates = [self::MODE_DEFAULT => [self::STANDARD => 'The value must be nullable', self::NAMED => '{{name}} must be nullable'], self::MODE_NEGATIVE => [self::STANDARD => 'The value must not be null', self::NAMED => '{{name}} must not be null']];
    /**
     * {@inheritDoc}
     */
    protected function chooseTemplate() : string
    {
        if ($this->getParam('input') || $this->getParam('name')) {
            return self::NAMED;
        }
        return self::STANDARD;
    }
}
