<?php

/*
 * This file is part of Respect/Validation.
 *
 * (c) Alexandre Gomes Gaigalas <alganet@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE file
 * that was distributed with this source code.
 */
declare (strict_types=1);
namespace ZOOlanders\YOOessentials\Vendor\Respect\Validation\Exceptions;

/**
 * @author Dick van der Heiden <d.vanderheiden@inthere.nl>
 * @author Henrique Moody <henriquemoody@gmail.com>
 * @author Michael Weimann <mail@michael-weimann.eu>
 */
final class UuidException extends ValidationException
{
    public const VERSION = 'version';
    /**
     * {@inheritDoc}
     */
    protected $defaultTemplates = [self::MODE_DEFAULT => [self::STANDARD => '{{name}} must be a valid UUID', self::VERSION => '{{name}} must be a valid UUID version {{version}}'], self::MODE_NEGATIVE => [self::STANDARD => '{{name}} must not be a valid UUID', self::VERSION => '{{name}} must not be a valid UUID version {{version}}']];
    /**
     * {@inheritDoc}
     */
    protected function chooseTemplate() : string
    {
        if ($this->getParam('version')) {
            return self::VERSION;
        }
        return self::STANDARD;
    }
}
