<?php

/*
 * This file is part of Respect/Validation.
 *
 * (c) Alexandre Gomes Gaigalas <alganet@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE file
 * that was distributed with this source code.
 */
declare (strict_types=1);
namespace ZOOlanders\YOOessentials\Vendor\Respect\Validation\Rules;

/**
 * Validates if the input is identical to some value.
 *
 * @author Henrique Moody <henriquemoody@gmail.com>
 */
final class Identical extends AbstractRule
{
    /**
     * @var mixed
     */
    private $compareTo;
    /**
     * Initializes the rule.
     *
     * @param mixed $compareTo
     */
    public function __construct($compareTo)
    {
        $this->compareTo = $compareTo;
    }
    /**
     * {@inheritDoc}
     */
    public function validate($input) : bool
    {
        return $input === $this->compareTo;
    }
}
