<?php

/*
 * This file is part of Respect/Validation.
 *
 * (c) Alexandre Gomes Gaigalas <alganet@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE file
 * that was distributed with this source code.
 */
declare (strict_types=1);
namespace ZOOlanders\YOOessentials\Vendor\Respect\Validation\Rules;

use function is_string;
use function mb_strstr;
use function preg_match;
/**
 * Validates whether the input is a valid slug.
 *
 * @author Carlos André Ferrari <caferrari@gmail.com>
 * @author Danilo Correa <danilosilva87@gmail.com>
 * @author Henrique Moody <henriquemoody@gmail.com>
 * @author Nick Lombard <github@jigsoft.co.za>
 */
final class Slug extends AbstractRule
{
    /**
     * {@inheritDoc}
     */
    public function validate($input) : bool
    {
        if (!is_string($input) || mb_strstr($input, '--')) {
            return \false;
        }
        if (!preg_match('@^[0-9a-z\\-]+$@', $input)) {
            return \false;
        }
        return preg_match('@^-|-$@', $input) === 0;
    }
}
