<?php

namespace ZOOlanders\YOOessentials\Vendor;

/*
 * This file is part of the Symfony package.
 *
 * (c) Fabien Potencier <fabien@symfony.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
use ZOOlanders\YOOessentials\Vendor\Symfony\Polyfill\Php73 as p;
if (\PHP_VERSION_ID >= 70300) {
    return;
}
if (!\function_exists('is_countable')) {
    function is_countable($value)
    {
        return \is_array($value) || $value instanceof \Countable || $value instanceof \ResourceBundle || $value instanceof \SimpleXmlElement;
    }
}
if (!\function_exists('hrtime')) {
    require_once __DIR__ . '/Php73.php';
    p\Php73::$startAt = (int) \microtime(\true);
    function hrtime($as_number = \false)
    {
        return p\Php73::hrtime($as_number);
    }
}
if (!\function_exists('array_key_first')) {
    function array_key_first(array $array)
    {
        foreach ($array as $key => $value) {
            return $key;
        }
    }
}
if (!\function_exists('array_key_last')) {
    function array_key_last(array $array)
    {
        return \key(\array_slice($array, -1, 1, \true));
    }
}
